<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddImeClientReq StructType
 * @subpackage Structs
 */
class AddImeClientReq extends APIRequest
{
    /**
     * The imeClient
     * @var XImeClient
     */
    public $imeClient;
    /**
     * Constructor method for AddImeClientReq
     * @uses AddImeClientReq::setImeClient()
     * @param XImeClient $imeClient
     */
    public function __construct(XImeClient $imeClient = null)
    {
        $this
            ->setImeClient($imeClient);
    }
    /**
     * Get imeClient value
     * @return XImeClient|null
     */
    public function getImeClient()
    {
        return $this->imeClient;
    }
    /**
     * Set imeClient value
     * @param XImeClient $imeClient
     * @return AddImeClientReq
     */
    public function setImeClient(XImeClient $imeClient = null)
    {
        $this->imeClient = $imeClient;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddImeClientReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
